unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, TeeGDIPlus, StdCtrls, ExtCtrls, TeeProcs, TeEngine, Chart,
  TeeComma, Series;

type
  TForm1 = class(TForm)
    Chart1: TChart;
    Button1: TButton;
    Image1: TImage;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

uses TeeGLCanvas, TeeConst;

procedure TForm1.FormCreate(Sender: TObject);
begin
  Caption:=TeeMsg_Version;

  Chart1.Canvas:=TGLCanvas.Create;

  Chart1.AddSeries(TBarSeries).FillSampleValues();
end;

procedure TForm1.Button1Click(Sender: TObject);
const
  ReportChartWidthC = 800;
  ReportChartHeightC = 600;
var
  PaintRect: TRect;
  MyBitmap: TBitmap;
  OldW, OldH : Integer;
begin
  PaintRect := Rect(0, 0, ReportChartWidthC, ReportChartHeightC);
  MyBitmap := TBitmap.Create;
  OldW:=Chart1.Width;
  OldH:=Chart1.Height;
  try
    Chart1.Width:=800;
    Chart1.Height:=600;
    Chart1.Draw;

    MyBitmap.Width:=ReportChartWidthC;
    MyBitmap.Height:= ReportChartHeightC;

    MyBitmap:=Chart1.TeeCreateBitmap;
    //Chart1.Draw(MyBitmap.Canvas, PaintRect);

    Image1.Picture.Bitmap:=MyBitmap;
  finally
    MyBitmap.Free;
    Chart1.Width:=OldW;
    Chart1.Height:=OldH;
  end;
end;

end.
